Name:       ibus-table
Version:    0.1.1.20081014
Release:    1%{?dist}
Summary:    The Table engine for IBus platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  gettext-devel

Requires:   ibus

%description
The package contains general Table engine for IBus platform.

%package chinese
Summary:    Chinese tables for general table engine of IBus.
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description chinese
This package contains Chineses tables.

%package additional
Summary:    Additional tables for general table engine of IBus.
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description additional
This package contains additional tables.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--enable-zhengma \
	--enable-wubi86 \
	--enable-wubi98 \
	--enable-cangjie5 \
	--enable-erbi-qs \
	--enable-additional
#	--enable-extra-phrases

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post chinese
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/wubi86.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/wubi98.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cangjie5.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/erbi_qs.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/zhengma.db

%post additional
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/compose.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/latex.db

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/engine/*
%{_datadir}/ibus-table/tables/template.txt
%{_datadir}/ibus-table/icons/ibus-table.svg
%{_datadir}/ibus-table/icons/full-letter.svg
%{_datadir}/ibus-table/icons/full-punct.svg
%{_datadir}/ibus-table/icons/half-letter.svg
%{_datadir}/ibus-table/icons/half-punct.svg
%{_datadir}/ibus-table/icons/onechar.svg
%{_datadir}/ibus-table/icons/phrase.svg
%{_datadir}/ibus-table/icons/py-mode.svg
%{_datadir}/ibus-table/icons/tab-mode.svg
%{_datadir}/ibus-table/icons/chinese.svg
%{_datadir}/ibus-table/icons/dcommit.svg
%{_datadir}/ibus-table/icons/english.svg
%{_datadir}/ibus-table/icons/ncommit.svg
%{_bindir}/ibus-engine-table
%{_bindir}/ibus-table-createdb

%files chinese
%defattr(-,root,root,-)
%{_datadir}/ibus-table/data/pinyin_table.txt.bz2
%{_datadir}/ibus-table/tables/extra_phrase.txt.bz2
%{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/tables/wubi98.db
%{_datadir}/ibus-table/tables/cangjie5.db
%{_datadir}/ibus-table/tables/erbi_qs.db
%{_datadir}/ibus-table/tables/zhengma.db
%{_datadir}/ibus-table/icons/wubi86.svg
%{_datadir}/ibus-table/icons/wubi98.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/erbi-qs.svg
%{_datadir}/ibus-table/icons/zhengma.svg
%{_datadir}/ibus/engine/wubi86.engine
%{_datadir}/ibus/engine/wubi98.engine
%{_datadir}/ibus/engine/cangjie5.engine
%{_datadir}/ibus/engine/erbi_qs.engine
%{_datadir}/ibus/engine/zhengma.engine

%files additional
%defattr(-,root,root,-)
%{_datadir}/ibus-table/tables/compose.db
%{_datadir}/ibus-table/tables/latex.db
%{_datadir}/ibus-table/icons/compose.svg
%{_datadir}/ibus-table/icons/latex.svg
%{_datadir}/ibus/engine/compose.engine
%{_datadir}/ibus/engine/latex.engine

%changelog
* Fri Oct 14 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081014-1
- Update to 0.1.1.20081014.

* Mon Sep 01 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20080901-1
- Update to 0.1.1.20080901.

* Wed Aug 19 2008 Yu Yuwei <acevery@gmail.com> - 0.1.1.20080829-1
- The first version.
